<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Task 5.48</title>
</head>
<body onload="onPageLoad()">
    <h2 style="color: blue;">Giải Phương trình bậc 2</h2>
    <p>Phương trình bậc 2 có tham số a, b và c</p>
    <label for="">Số a</label>
    <input type="number" placeholder="Nhập số a" id="in-soA"><br><br>
    <label for="">Số b</label>
    <input type="number" placeholder="Nhập số b" id="in-soB"><br><br>
    <label for="">Số c</label>
    <input type="number" placeholder="Nhập số c" id="in-soC"><br><br>
    <button onclick="clickBTN()">Tìm nghiệm</button><br><br>
    <p style="color: green; display: none;" id="in-para">Phương trình có 2 nghiệm</p>
    <p style="color: green; display: none;" id="in-para2">2 nghiệm</p>
</body>
<script>
    var inSoA=document.getElementById("in-soA");
    var inSoB=document.getElementById("in-soB");
    var inSoC=document.getElementById("in-soC");
    function onPageLoad(){
        console.log(inSoA.id);
        console.log(inSoA.placeholder);

        console.log(inSoB.id);
        console.log(inSoB.placeholder);

        console.log(inSoC.id);
        console.log(inSoC.placeholder);
    }
    function clickBTN(){
        console.log("Tìm nghiệm của phương trình bậc 2");
        var delta=(inSoB.value * inSoB.value) - (4 * inSoA.value * inSoC.value);
        if (delta > 0){
            var bien1=(- inSoB.value + Math.sqrt(delta)) / 2 * inSoA.value;
            var bien2=(- inSoB.value - Math.sqrt(delta)) /2 * inSoA.value;
            var ketQua=document.getElementById("in-para2");
            document.getElementById("in-para").style.display="block";
            ketQua.innerHTML=("x1 " + "= " + bien1 +","+ " x2 " + "= "+ bien2);
            ketQua.style.display="block";
        }
        else if (delta < 0){
            var pMess=document.getElementById("in-para");
            pMess.innerHTML="Phương trình vô nghiệm";
            pMess.style.display="block";  
            pMess.style.color="red";
        }
        else{
            var motBien=(-inSoB.value / (2*inSoA.value));
            var pMess=document.getElementById("in-para");
            pMess.innerHTML="Phương trình có 1 nghiệm x = "+motBien;
            pMess.style.display="block";
            pMess.style.color="blue";
        }
        
    }
</script>
</html>